commit: 58fcb1e008ffba213cf21824a7dddf7013b1122f
Author: Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 2 16:05:07 2025 +0000
Commit: Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
CommitDate: Sun Nov 2 16:05:24 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=58fcb1e0
dev-libs/libax25: Bump to EAPI 8
Signed-off-by: Thomas Beierlein <tomjbe <AT> gentoo.org>
dev-libs/libax25/libax25-0.0.12_rc5-r1.ebuild | 35 +++++++++++++++++++++++++++
1 file changed, 35 insertions(+)
diff --git a/dev-libs/libax25/libax25-0.0.12_rc5-r1.ebuild
b/dev-libs/libax25/libax25-0.0.12_rc5-r1.ebuild
new file mode 100644
index 000000000000..39872195bf78
--- /dev/null
+++ b/dev-libs/libax25/libax25-0.0.12_rc5-r1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_P=${PN}-$(ver_rs 3 '-')
+
+inherit autotools
+
+DESCRIPTION="AX.25 library for hamradio applications"
+HOMEPAGE="http://www.linux-ax25.org/"
+SRC_URI="http://www.linux-ax25.org/pub/${PN}/${MY_P}.tar.xz"
+
+S=${WORKDIR}/${MY_P}
+
+LICENSE="LGPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="static-libs"
+
+src_prepare() {
+ use elibc_musl && eapply "${FILESDIR}/${P}-musl.patch"
+ eapply_user
+ eautoreconf
+}
+
+src_configure() {
+ econf $(use_enable static-libs static)
+}
+
+src_install() {
+ default
+ find "${D}" -name '*.la' -type f -delete || die
+ emake DESTDIR="${D}" installconf
+}